package com.xzzn.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * bmsc告警数据对象 ems_cluster_alarm_data
 *
 * @author xzzn
 * @date 2025-10-22
 */
public class EmsClusterAlarmData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录唯一ID */
    private Long id;

    /** 数据采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date dataTimestamp;

    /** 站点ID */
    @Excel(name = "站点ID")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    /** 簇1主控通讯失联（0=正常，1=异常） */
    @Excel(name = "簇1主控通讯失联", readConverterExp = "0==正常，1=异常")
    private Integer c1zktxsl;

    /** 簇1端电压欠压轻度告警 */
    @Excel(name = "簇1端电压欠压轻度告警")
    private Integer c1ddyqyqdgj;

    /** 簇1端电压欠压中度告警 */
    @Excel(name = "簇1端电压欠压中度告警")
    private Integer c1ddyqyzdgj;

    /** 簇1端电压欠压重度告警 */
    @Excel(name = "簇1端电压欠压重度告警")
    private Integer c1ddyqyzzdgj;

    /** 簇1端电压过压轻度告警 */
    @Excel(name = "簇1端电压过压轻度告警")
    private Integer c1ddygyqdgj;

    /** 簇1端电压过压中度告警 */
    @Excel(name = "簇1端电压过压中度告警")
    private Integer c1ddygyzdgj;

    /** 簇1端电压过压重度告警 */
    @Excel(name = "簇1端电压过压重度告警")
    private Integer c1ddygyzzdgj;

    /** 簇1端电流轻度告警 */
    @Excel(name = "簇1端电流轻度告警")
    private Integer c1ddlqdgj;

    /** 簇1端电流中度告警 */
    @Excel(name = "簇1端电流中度告警")
    private Integer c1ddlzdgj;

    /** 簇1端电流重度告警 */
    @Excel(name = "簇1端电流重度告警")
    private Integer c1ddlzzdgj;

    /** 簇1单体欠压轻度告警 */
    @Excel(name = "簇1单体欠压轻度告警")
    private Integer c1dtqyqdgj;

    /** 簇1单体欠压中度告警 */
    @Excel(name = "簇1单体欠压中度告警")
    private Integer c1dtqyzdgj;

    /** 簇1单体欠压重度告警 */
    @Excel(name = "簇1单体欠压重度告警")
    private Integer c1dtqyzzdgj;

    /** 簇1单体过压轻度告警 */
    @Excel(name = "簇1单体过压轻度告警")
    private Integer c1dtgyqdgj;

    /** 簇1单体过压中度告警 */
    @Excel(name = "簇1单体过压中度告警")
    private Integer c1dtgyzdgj;

    /** 簇1单体过压重度告警 */
    @Excel(name = "簇1单体过压重度告警")
    private Integer c1dtgyzzdgj;

    /** 簇1单体欠温轻度告警 */
    @Excel(name = "簇1单体欠温轻度告警")
    private Integer c1dtqwqdgj;

    /** 簇1单体欠温中度告警 */
    @Excel(name = "簇1单体欠温中度告警")
    private Integer c1dtqwzdgj;

    /** 簇1单体欠温重度告警 */
    @Excel(name = "簇1单体欠温重度告警")
    private Integer c1dtqwzzdgj;

    /** 簇1单体过温轻度告警 */
    @Excel(name = "簇1单体过温轻度告警")
    private Integer c1dtgwqdgj;

    /** 簇1单体过温中度告警 */
    @Excel(name = "簇1单体过温中度告警")
    private Integer c1dtgwzdgj;

    /** 簇1单体过温重度告警 */
    @Excel(name = "簇1单体过温重度告警")
    private Integer c1dtgwzzdgj;

    /** 簇1单体SOC低轻度告警 */
    @Excel(name = "簇1单体SOC低轻度告警")
    private Integer c1socdqdgj;

    /** 簇1单体SOC低中度告警 */
    @Excel(name = "簇1单体SOC低中度告警")
    private Integer c1socdzdgj;

    /** 簇1单体SOC低重度告警 */
    @Excel(name = "簇1单体SOC低重度告警")
    private Integer c1socdzzdgj;

    /** 簇1单体SOC高轻度告警 */
    @Excel(name = "簇1单体SOC高轻度告警")
    private Integer c1socgqdgj;

    /** 簇1单体SOC高中度告警 */
    @Excel(name = "簇1单体SOC高中度告警")
    private Integer c1socgzdgj;

    /** 簇1单体SOC高重度告警 */
    @Excel(name = "簇1单体SOC高重度告警")
    private Integer c1socgzzdgj;

    /** 簇1单体SOH低轻度告警 */
    @Excel(name = "簇1单体SOH低轻度告警")
    private Integer c1sohdqdgj;

    /** 簇1单体SOH低中度告警 */
    @Excel(name = "簇1单体SOH低中度告警")
    private Integer c1sohdzdgj;

    /** 簇1单体SOH低重度告警 */
    @Excel(name = "簇1单体SOH低重度告警")
    private Integer c1sohdzzdgj;

    /** 簇1单体压差轻度告警 */
    @Excel(name = "簇1单体压差轻度告警")
    private Integer c1dtycqdgj;

    /** 簇1单体压差中度告警 */
    @Excel(name = "簇1单体压差中度告警")
    private Integer c1dtyczdgj;

    /** 簇1单体压差重度告警 */
    @Excel(name = "簇1单体压差重度告警")
    private Integer c1dtyczzdgj;

    /** 簇1单体温差轻度告警 */
    @Excel(name = "簇1单体温差轻度告警")
    private Integer c1dtwcqdgj;

    /** 簇1单体温差中度告警 */
    @Excel(name = "簇1单体温差中度告警")
    private Integer c1dtwczdgj;

    /** 簇1单体温差重度告警 */
    @Excel(name = "簇1单体温差重度告警")
    private Integer c1dtwczzdgj;

    /** 簇1从控1通讯失联 */
    @Excel(name = "簇1从控1通讯失联")
    private Integer c1ck1txsl;

    /** 簇1从控2通讯失联 */
    @Excel(name = "簇1从控2通讯失联")
    private Integer c1ck2txsl;

    /** 簇1从控3通讯失联 */
    @Excel(name = "簇1从控3通讯失联")
    private Integer c1ck3txsl;

    /** 簇1从控4通讯失联 */
    @Excel(name = "簇1从控4通讯失联")
    private Integer c1ck4txsl;

    /** 簇1从控5通讯失联 */
    @Excel(name = "簇1从控5通讯失联")
    private Integer c1ck5txsl;

    /** 簇1从控6通讯失联 */
    @Excel(name = "簇1从控6通讯失联")
    private Integer c1ck6txsl;

    /** 簇1从控7通讯失联 */
    @Excel(name = "簇1从控7通讯失联")
    private Integer c1ck7txsl;

    /** 簇1从控8通讯失联 */
    @Excel(name = "簇1从控8通讯失联")
    private Integer c1ck8txsl;

    /** 簇1从控9通讯失联 */
    @Excel(name = "簇1从控9通讯失联")
    private Integer c1ck9txsl;

    /** 簇1从控10通讯失联 */
    @Excel(name = "簇1从控10通讯失联")
    private Integer c1ck10txsl;

    /** 簇1从控11通讯失联 */
    @Excel(name = "簇1从控11通讯失联")
    private Integer c1ck11txsl;

    /** 簇1从控12通讯失联 */
    @Excel(name = "簇1从控12通讯失联")
    private Integer c1ck12txsl;

    /** 簇1从控13通讯失联 */
    @Excel(name = "簇1从控13通讯失联")
    private Integer c1ck13txsl;

    /** 簇1从控14通讯失联 */
    @Excel(name = "簇1从控14通讯失联")
    private Integer c1ck14txsl;

    /** 簇1从控15通讯失联 */
    @Excel(name = "簇1从控15通讯失联")
    private Integer c1ck15txsl;

    /** 簇1从控16通讯失联 */
    @Excel(name = "簇1从控16通讯失联")
    private Integer c1ck16txsl;

    /** 簇1从控17通讯失联 */
    @Excel(name = "簇1从控17通讯失联")
    private Integer c1ck17txsl;

    /** 簇1从控18通讯失联 */
    @Excel(name = "簇1从控18通讯失联")
    private Integer c1ck18txsl;

    /** 簇1从控19通讯失联 */
    @Excel(name = "簇1从控19通讯失联")
    private Integer c1ck19txsl;

    /** 簇1从控20通讯失联 */
    @Excel(name = "簇1从控20通讯失联")
    private Integer c1ck20txsl;

    /** 簇1从控21通讯失联 */
    @Excel(name = "簇1从控21通讯失联")
    private Integer c1ck21txsl;

    /** 簇1从控22通讯失联 */
    @Excel(name = "簇1从控22通讯失联")
    private Integer c1ck22txsl;

    /** 簇1从控23通讯失联 */
    @Excel(name = "簇1从控23通讯失联")
    private Integer c1ck23txsl;

    /** 簇1从控24通讯失联 */
    @Excel(name = "簇1从控24通讯失联")
    private Integer c1ck24txsl;

    /** 簇1从控25通讯失联 */
    @Excel(name = "簇1从控25通讯失联")
    private Integer c1ck25txsl;

    /** 簇1从控26通讯失联 */
    @Excel(name = "簇1从控26通讯失联")
    private Integer c1ck26txsl;

    /** 簇1从控27通讯失联 */
    @Excel(name = "簇1从控27通讯失联")
    private Integer c1ck27txsl;

    /** 簇1从控28通讯失联 */
    @Excel(name = "簇1从控28通讯失联")
    private Integer c1ck28txsl;

    /** 簇1从控29通讯失联 */
    @Excel(name = "簇1从控29通讯失联")
    private Integer c1ck29txsl;

    /** 簇1从控30通讯失联 */
    @Excel(name = "簇1从控30通讯失联")
    private Integer c1ck30txsl;

    /** 簇1从控31通讯失联 */
    @Excel(name = "簇1从控31通讯失联")
    private Integer c1ck31txsl;

    /** 簇1从控32通讯失联 */
    @Excel(name = "簇1从控32通讯失联")
    private Integer c1ck32txsl;

    /** 簇1从控33通讯失联 */
    @Excel(name = "簇1从控33通讯失联")
    private Integer c1ck33txsl;

    /** 簇1从控34通讯失联 */
    @Excel(name = "簇1从控34通讯失联")
    private Integer c1ck34txsl;

    /** 簇1从控35通讯失联 */
    @Excel(name = "簇1从控35通讯失联")
    private Integer c1ck35txsl;

    /** 簇1从控36通讯失联 */
    @Excel(name = "簇1从控36通讯失联")
    private Integer c1ck36txsl;

    /** 簇1从控37通讯失联 */
    @Excel(name = "簇1从控37通讯失联")
    private Integer c1ck37txsl;

    /** 簇1从控38通讯失联 */
    @Excel(name = "簇1从控38通讯失联")
    private Integer c1ck38txsl;

    /** 簇1从控39通讯失联 */
    @Excel(name = "簇1从控39通讯失联")
    private Integer c1ck39txsl;

    /** 簇1从控40通讯失联 */
    @Excel(name = "簇1从控40通讯失联")
    private Integer c1ck40txsl;

    /** 簇1端子温度过高轻度告警 */
    @Excel(name = "簇1端子温度过高轻度告警")
    private Integer c1dzwdggqdgj;

    /** 簇1端子温度过高中度告警 */
    @Excel(name = "簇1端子温度过高中度告警")
    private Integer c1dzwdggzdgj;

    /** 簇1端子温度过高重度告警 */
    @Excel(name = "簇1端子温度过高重度告警")
    private Integer c1dzwdggzzdgj;

    /** 簇1模块电压过高轻度告警 */
    @Excel(name = "簇1模块电压过高轻度告警")
    private Integer c1mkdyggqdgj;

    /** 簇1模块电压过高中度告警 */
    @Excel(name = "簇1模块电压过高中度告警")
    private Integer c1mkdyggzdgj;

    /** 簇1模块电压过高重度告警 */
    @Excel(name = "簇1模块电压过高重度告警")
    private Integer c1mkdyggzzdgj;

    /** 簇1模块电压过低轻度告警 */
    @Excel(name = "簇1模块电压过低轻度告警")
    private Integer c1mkdygdqdgj;

    /** 簇1模块电压过低中度告警 */
    @Excel(name = "簇1模块电压过低中度告警")
    private Integer c1mkdygdzdgj;

    /** 簇1模块电压过低重度告警 */
    @Excel(name = "簇1模块电压过低重度告警")
    private Integer c1mkdygdzzdgj;

    /** 簇1电压采集故障 */
    @Excel(name = "簇1电压采集故障")
    private Integer c1dycjgz;

    /** 簇1温度采集故障 */
    @Excel(name = "簇1温度采集故障")
    private Integer c1wdcjgz;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDataTimestamp(Date dataTimestamp)
    {
        this.dataTimestamp = dataTimestamp;
    }

    public Date getDataTimestamp()
    {
        return dataTimestamp;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setC1zktxsl(Integer c1zktxsl)
    {
        this.c1zktxsl = c1zktxsl;
    }

    public Integer getC1zktxsl()
    {
        return c1zktxsl;
    }

    public void setC1ddyqyqdgj(Integer c1ddyqyqdgj)
    {
        this.c1ddyqyqdgj = c1ddyqyqdgj;
    }

    public Integer getC1ddyqyqdgj()
    {
        return c1ddyqyqdgj;
    }

    public void setC1ddyqyzdgj(Integer c1ddyqyzdgj)
    {
        this.c1ddyqyzdgj = c1ddyqyzdgj;
    }

    public Integer getC1ddyqyzdgj()
    {
        return c1ddyqyzdgj;
    }

    public void setC1ddyqyzzdgj(Integer c1ddyqyzzdgj)
    {
        this.c1ddyqyzzdgj = c1ddyqyzzdgj;
    }

    public Integer getC1ddyqyzzdgj()
    {
        return c1ddyqyzzdgj;
    }

    public void setC1ddygyqdgj(Integer c1ddygyqdgj)
    {
        this.c1ddygyqdgj = c1ddygyqdgj;
    }

    public Integer getC1ddygyqdgj()
    {
        return c1ddygyqdgj;
    }

    public void setC1ddygyzdgj(Integer c1ddygyzdgj)
    {
        this.c1ddygyzdgj = c1ddygyzdgj;
    }

    public Integer getC1ddygyzdgj()
    {
        return c1ddygyzdgj;
    }

    public void setC1ddygyzzdgj(Integer c1ddygyzzdgj)
    {
        this.c1ddygyzzdgj = c1ddygyzzdgj;
    }

    public Integer getC1ddygyzzdgj()
    {
        return c1ddygyzzdgj;
    }

    public void setC1ddlqdgj(Integer c1ddlqdgj)
    {
        this.c1ddlqdgj = c1ddlqdgj;
    }

    public Integer getC1ddlqdgj()
    {
        return c1ddlqdgj;
    }

    public void setC1ddlzdgj(Integer c1ddlzdgj)
    {
        this.c1ddlzdgj = c1ddlzdgj;
    }

    public Integer getC1ddlzdgj()
    {
        return c1ddlzdgj;
    }

    public void setC1ddlzzdgj(Integer c1ddlzzdgj)
    {
        this.c1ddlzzdgj = c1ddlzzdgj;
    }

    public Integer getC1ddlzzdgj()
    {
        return c1ddlzzdgj;
    }

    public void setC1dtqyqdgj(Integer c1dtqyqdgj)
    {
        this.c1dtqyqdgj = c1dtqyqdgj;
    }

    public Integer getC1dtqyqdgj()
    {
        return c1dtqyqdgj;
    }

    public void setC1dtqyzdgj(Integer c1dtqyzdgj)
    {
        this.c1dtqyzdgj = c1dtqyzdgj;
    }

    public Integer getC1dtqyzdgj()
    {
        return c1dtqyzdgj;
    }

    public void setC1dtqyzzdgj(Integer c1dtqyzzdgj)
    {
        this.c1dtqyzzdgj = c1dtqyzzdgj;
    }

    public Integer getC1dtqyzzdgj()
    {
        return c1dtqyzzdgj;
    }

    public void setC1dtgyqdgj(Integer c1dtgyqdgj)
    {
        this.c1dtgyqdgj = c1dtgyqdgj;
    }

    public Integer getC1dtgyqdgj()
    {
        return c1dtgyqdgj;
    }

    public void setC1dtgyzdgj(Integer c1dtgyzdgj)
    {
        this.c1dtgyzdgj = c1dtgyzdgj;
    }

    public Integer getC1dtgyzdgj()
    {
        return c1dtgyzdgj;
    }

    public void setC1dtgyzzdgj(Integer c1dtgyzzdgj)
    {
        this.c1dtgyzzdgj = c1dtgyzzdgj;
    }

    public Integer getC1dtgyzzdgj()
    {
        return c1dtgyzzdgj;
    }

    public void setC1dtqwqdgj(Integer c1dtqwqdgj)
    {
        this.c1dtqwqdgj = c1dtqwqdgj;
    }

    public Integer getC1dtqwqdgj()
    {
        return c1dtqwqdgj;
    }

    public void setC1dtqwzdgj(Integer c1dtqwzdgj)
    {
        this.c1dtqwzdgj = c1dtqwzdgj;
    }

    public Integer getC1dtqwzdgj()
    {
        return c1dtqwzdgj;
    }

    public void setC1dtqwzzdgj(Integer c1dtqwzzdgj)
    {
        this.c1dtqwzzdgj = c1dtqwzzdgj;
    }

    public Integer getC1dtqwzzdgj()
    {
        return c1dtqwzzdgj;
    }

    public void setC1dtgwqdgj(Integer c1dtgwqdgj)
    {
        this.c1dtgwqdgj = c1dtgwqdgj;
    }

    public Integer getC1dtgwqdgj()
    {
        return c1dtgwqdgj;
    }

    public void setC1dtgwzdgj(Integer c1dtgwzdgj)
    {
        this.c1dtgwzdgj = c1dtgwzdgj;
    }

    public Integer getC1dtgwzdgj()
    {
        return c1dtgwzdgj;
    }

    public void setC1dtgwzzdgj(Integer c1dtgwzzdgj)
    {
        this.c1dtgwzzdgj = c1dtgwzzdgj;
    }

    public Integer getC1dtgwzzdgj()
    {
        return c1dtgwzzdgj;
    }

    public void setC1socdqdgj(Integer c1socdqdgj)
    {
        this.c1socdqdgj = c1socdqdgj;
    }

    public Integer getC1socdqdgj()
    {
        return c1socdqdgj;
    }

    public void setC1socdzdgj(Integer c1socdzdgj)
    {
        this.c1socdzdgj = c1socdzdgj;
    }

    public Integer getC1socdzdgj()
    {
        return c1socdzdgj;
    }

    public void setC1socdzzdgj(Integer c1socdzzdgj)
    {
        this.c1socdzzdgj = c1socdzzdgj;
    }

    public Integer getC1socdzzdgj()
    {
        return c1socdzzdgj;
    }

    public void setC1socgqdgj(Integer c1socgqdgj)
    {
        this.c1socgqdgj = c1socgqdgj;
    }

    public Integer getC1socgqdgj()
    {
        return c1socgqdgj;
    }

    public void setC1socgzdgj(Integer c1socgzdgj)
    {
        this.c1socgzdgj = c1socgzdgj;
    }

    public Integer getC1socgzdgj()
    {
        return c1socgzdgj;
    }

    public void setC1socgzzdgj(Integer c1socgzzdgj)
    {
        this.c1socgzzdgj = c1socgzzdgj;
    }

    public Integer getC1socgzzdgj()
    {
        return c1socgzzdgj;
    }

    public void setC1sohdqdgj(Integer c1sohdqdgj)
    {
        this.c1sohdqdgj = c1sohdqdgj;
    }

    public Integer getC1sohdqdgj()
    {
        return c1sohdqdgj;
    }

    public void setC1sohdzdgj(Integer c1sohdzdgj)
    {
        this.c1sohdzdgj = c1sohdzdgj;
    }

    public Integer getC1sohdzdgj()
    {
        return c1sohdzdgj;
    }

    public void setC1sohdzzdgj(Integer c1sohdzzdgj)
    {
        this.c1sohdzzdgj = c1sohdzzdgj;
    }

    public Integer getC1sohdzzdgj()
    {
        return c1sohdzzdgj;
    }

    public void setC1dtycqdgj(Integer c1dtycqdgj)
    {
        this.c1dtycqdgj = c1dtycqdgj;
    }

    public Integer getC1dtycqdgj()
    {
        return c1dtycqdgj;
    }

    public void setC1dtyczdgj(Integer c1dtyczdgj)
    {
        this.c1dtyczdgj = c1dtyczdgj;
    }

    public Integer getC1dtyczdgj()
    {
        return c1dtyczdgj;
    }

    public void setC1dtyczzdgj(Integer c1dtyczzdgj)
    {
        this.c1dtyczzdgj = c1dtyczzdgj;
    }

    public Integer getC1dtyczzdgj()
    {
        return c1dtyczzdgj;
    }

    public void setC1dtwcqdgj(Integer c1dtwcqdgj)
    {
        this.c1dtwcqdgj = c1dtwcqdgj;
    }

    public Integer getC1dtwcqdgj()
    {
        return c1dtwcqdgj;
    }

    public void setC1dtwczdgj(Integer c1dtwczdgj)
    {
        this.c1dtwczdgj = c1dtwczdgj;
    }

    public Integer getC1dtwczdgj()
    {
        return c1dtwczdgj;
    }

    public void setC1dtwczzdgj(Integer c1dtwczzdgj)
    {
        this.c1dtwczzdgj = c1dtwczzdgj;
    }

    public Integer getC1dtwczzdgj()
    {
        return c1dtwczzdgj;
    }

    public void setC1ck1txsl(Integer c1ck1txsl)
    {
        this.c1ck1txsl = c1ck1txsl;
    }

    public Integer getC1ck1txsl()
    {
        return c1ck1txsl;
    }

    public void setC1ck2txsl(Integer c1ck2txsl)
    {
        this.c1ck2txsl = c1ck2txsl;
    }

    public Integer getC1ck2txsl()
    {
        return c1ck2txsl;
    }

    public void setC1ck3txsl(Integer c1ck3txsl)
    {
        this.c1ck3txsl = c1ck3txsl;
    }

    public Integer getC1ck3txsl()
    {
        return c1ck3txsl;
    }

    public void setC1ck4txsl(Integer c1ck4txsl)
    {
        this.c1ck4txsl = c1ck4txsl;
    }

    public Integer getC1ck4txsl()
    {
        return c1ck4txsl;
    }

    public void setC1ck5txsl(Integer c1ck5txsl)
    {
        this.c1ck5txsl = c1ck5txsl;
    }

    public Integer getC1ck5txsl()
    {
        return c1ck5txsl;
    }

    public void setC1ck6txsl(Integer c1ck6txsl)
    {
        this.c1ck6txsl = c1ck6txsl;
    }

    public Integer getC1ck6txsl()
    {
        return c1ck6txsl;
    }

    public void setC1ck7txsl(Integer c1ck7txsl)
    {
        this.c1ck7txsl = c1ck7txsl;
    }

    public Integer getC1ck7txsl()
    {
        return c1ck7txsl;
    }

    public void setC1ck8txsl(Integer c1ck8txsl)
    {
        this.c1ck8txsl = c1ck8txsl;
    }

    public Integer getC1ck8txsl()
    {
        return c1ck8txsl;
    }

    public void setC1ck9txsl(Integer c1ck9txsl)
    {
        this.c1ck9txsl = c1ck9txsl;
    }

    public Integer getC1ck9txsl()
    {
        return c1ck9txsl;
    }

    public void setC1ck10txsl(Integer c1ck10txsl)
    {
        this.c1ck10txsl = c1ck10txsl;
    }

    public Integer getC1ck10txsl()
    {
        return c1ck10txsl;
    }

    public void setC1ck11txsl(Integer c1ck11txsl)
    {
        this.c1ck11txsl = c1ck11txsl;
    }

    public Integer getC1ck11txsl()
    {
        return c1ck11txsl;
    }

    public void setC1ck12txsl(Integer c1ck12txsl)
    {
        this.c1ck12txsl = c1ck12txsl;
    }

    public Integer getC1ck12txsl()
    {
        return c1ck12txsl;
    }

    public void setC1ck13txsl(Integer c1ck13txsl)
    {
        this.c1ck13txsl = c1ck13txsl;
    }

    public Integer getC1ck13txsl()
    {
        return c1ck13txsl;
    }

    public void setC1ck14txsl(Integer c1ck14txsl)
    {
        this.c1ck14txsl = c1ck14txsl;
    }

    public Integer getC1ck14txsl()
    {
        return c1ck14txsl;
    }

    public void setC1ck15txsl(Integer c1ck15txsl)
    {
        this.c1ck15txsl = c1ck15txsl;
    }

    public Integer getC1ck15txsl()
    {
        return c1ck15txsl;
    }

    public void setC1ck16txsl(Integer c1ck16txsl)
    {
        this.c1ck16txsl = c1ck16txsl;
    }

    public Integer getC1ck16txsl()
    {
        return c1ck16txsl;
    }

    public void setC1ck17txsl(Integer c1ck17txsl)
    {
        this.c1ck17txsl = c1ck17txsl;
    }

    public Integer getC1ck17txsl()
    {
        return c1ck17txsl;
    }

    public void setC1ck18txsl(Integer c1ck18txsl)
    {
        this.c1ck18txsl = c1ck18txsl;
    }

    public Integer getC1ck18txsl()
    {
        return c1ck18txsl;
    }

    public void setC1ck19txsl(Integer c1ck19txsl)
    {
        this.c1ck19txsl = c1ck19txsl;
    }

    public Integer getC1ck19txsl()
    {
        return c1ck19txsl;
    }

    public void setC1ck20txsl(Integer c1ck20txsl)
    {
        this.c1ck20txsl = c1ck20txsl;
    }

    public Integer getC1ck20txsl()
    {
        return c1ck20txsl;
    }

    public void setC1ck21txsl(Integer c1ck21txsl)
    {
        this.c1ck21txsl = c1ck21txsl;
    }

    public Integer getC1ck21txsl()
    {
        return c1ck21txsl;
    }

    public void setC1ck22txsl(Integer c1ck22txsl)
    {
        this.c1ck22txsl = c1ck22txsl;
    }

    public Integer getC1ck22txsl()
    {
        return c1ck22txsl;
    }

    public void setC1ck23txsl(Integer c1ck23txsl)
    {
        this.c1ck23txsl = c1ck23txsl;
    }

    public Integer getC1ck23txsl()
    {
        return c1ck23txsl;
    }

    public void setC1ck24txsl(Integer c1ck24txsl)
    {
        this.c1ck24txsl = c1ck24txsl;
    }

    public Integer getC1ck24txsl()
    {
        return c1ck24txsl;
    }

    public void setC1ck25txsl(Integer c1ck25txsl)
    {
        this.c1ck25txsl = c1ck25txsl;
    }

    public Integer getC1ck25txsl()
    {
        return c1ck25txsl;
    }

    public void setC1ck26txsl(Integer c1ck26txsl)
    {
        this.c1ck26txsl = c1ck26txsl;
    }

    public Integer getC1ck26txsl()
    {
        return c1ck26txsl;
    }

    public void setC1ck27txsl(Integer c1ck27txsl)
    {
        this.c1ck27txsl = c1ck27txsl;
    }

    public Integer getC1ck27txsl()
    {
        return c1ck27txsl;
    }

    public void setC1ck28txsl(Integer c1ck28txsl)
    {
        this.c1ck28txsl = c1ck28txsl;
    }

    public Integer getC1ck28txsl()
    {
        return c1ck28txsl;
    }

    public void setC1ck29txsl(Integer c1ck29txsl)
    {
        this.c1ck29txsl = c1ck29txsl;
    }

    public Integer getC1ck29txsl()
    {
        return c1ck29txsl;
    }

    public void setC1ck30txsl(Integer c1ck30txsl)
    {
        this.c1ck30txsl = c1ck30txsl;
    }

    public Integer getC1ck30txsl()
    {
        return c1ck30txsl;
    }

    public void setC1ck31txsl(Integer c1ck31txsl)
    {
        this.c1ck31txsl = c1ck31txsl;
    }

    public Integer getC1ck31txsl()
    {
        return c1ck31txsl;
    }

    public void setC1ck32txsl(Integer c1ck32txsl)
    {
        this.c1ck32txsl = c1ck32txsl;
    }

    public Integer getC1ck32txsl()
    {
        return c1ck32txsl;
    }

    public void setC1ck33txsl(Integer c1ck33txsl)
    {
        this.c1ck33txsl = c1ck33txsl;
    }

    public Integer getC1ck33txsl()
    {
        return c1ck33txsl;
    }

    public void setC1ck34txsl(Integer c1ck34txsl)
    {
        this.c1ck34txsl = c1ck34txsl;
    }

    public Integer getC1ck34txsl()
    {
        return c1ck34txsl;
    }

    public void setC1ck35txsl(Integer c1ck35txsl)
    {
        this.c1ck35txsl = c1ck35txsl;
    }

    public Integer getC1ck35txsl()
    {
        return c1ck35txsl;
    }

    public void setC1ck36txsl(Integer c1ck36txsl)
    {
        this.c1ck36txsl = c1ck36txsl;
    }

    public Integer getC1ck36txsl()
    {
        return c1ck36txsl;
    }

    public void setC1ck37txsl(Integer c1ck37txsl)
    {
        this.c1ck37txsl = c1ck37txsl;
    }

    public Integer getC1ck37txsl()
    {
        return c1ck37txsl;
    }

    public void setC1ck38txsl(Integer c1ck38txsl)
    {
        this.c1ck38txsl = c1ck38txsl;
    }

    public Integer getC1ck38txsl()
    {
        return c1ck38txsl;
    }

    public void setC1ck39txsl(Integer c1ck39txsl)
    {
        this.c1ck39txsl = c1ck39txsl;
    }

    public Integer getC1ck39txsl()
    {
        return c1ck39txsl;
    }

    public void setC1ck40txsl(Integer c1ck40txsl)
    {
        this.c1ck40txsl = c1ck40txsl;
    }

    public Integer getC1ck40txsl()
    {
        return c1ck40txsl;
    }

    public void setC1dzwdggqdgj(Integer c1dzwdggqdgj)
    {
        this.c1dzwdggqdgj = c1dzwdggqdgj;
    }

    public Integer getC1dzwdggqdgj()
    {
        return c1dzwdggqdgj;
    }

    public void setC1dzwdggzdgj(Integer c1dzwdggzdgj)
    {
        this.c1dzwdggzdgj = c1dzwdggzdgj;
    }

    public Integer getC1dzwdggzdgj()
    {
        return c1dzwdggzdgj;
    }

    public void setC1dzwdggzzdgj(Integer c1dzwdggzzdgj)
    {
        this.c1dzwdggzzdgj = c1dzwdggzzdgj;
    }

    public Integer getC1dzwdggzzdgj()
    {
        return c1dzwdggzzdgj;
    }

    public void setC1mkdyggqdgj(Integer c1mkdyggqdgj)
    {
        this.c1mkdyggqdgj = c1mkdyggqdgj;
    }

    public Integer getC1mkdyggqdgj()
    {
        return c1mkdyggqdgj;
    }

    public void setC1mkdyggzdgj(Integer c1mkdyggzdgj)
    {
        this.c1mkdyggzdgj = c1mkdyggzdgj;
    }

    public Integer getC1mkdyggzdgj()
    {
        return c1mkdyggzdgj;
    }

    public void setC1mkdyggzzdgj(Integer c1mkdyggzzdgj)
    {
        this.c1mkdyggzzdgj = c1mkdyggzzdgj;
    }

    public Integer getC1mkdyggzzdgj()
    {
        return c1mkdyggzzdgj;
    }

    public void setC1mkdygdqdgj(Integer c1mkdygdqdgj)
    {
        this.c1mkdygdqdgj = c1mkdygdqdgj;
    }

    public Integer getC1mkdygdqdgj()
    {
        return c1mkdygdqdgj;
    }

    public void setC1mkdygdzdgj(Integer c1mkdygdzdgj)
    {
        this.c1mkdygdzdgj = c1mkdygdzdgj;
    }

    public Integer getC1mkdygdzdgj()
    {
        return c1mkdygdzdgj;
    }

    public void setC1mkdygdzzdgj(Integer c1mkdygdzzdgj)
    {
        this.c1mkdygdzzdgj = c1mkdygdzzdgj;
    }

    public Integer getC1mkdygdzzdgj()
    {
        return c1mkdygdzzdgj;
    }

    public void setC1dycjgz(Integer c1dycjgz)
    {
        this.c1dycjgz = c1dycjgz;
    }

    public Integer getC1dycjgz()
    {
        return c1dycjgz;
    }

    public void setC1wdcjgz(Integer c1wdcjgz)
    {
        this.c1wdcjgz = c1wdcjgz;
    }

    public Integer getC1wdcjgz()
    {
        return c1wdcjgz;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataTimestamp", getDataTimestamp())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("c1zktxsl", getC1zktxsl())
                .append("c1ddyqyqdgj", getC1ddyqyqdgj())
                .append("c1ddyqyzdgj", getC1ddyqyzdgj())
                .append("c1ddyqyzzdgj", getC1ddyqyzzdgj())
                .append("c1ddygyqdgj", getC1ddygyqdgj())
                .append("c1ddygyzdgj", getC1ddygyzdgj())
                .append("c1ddygyzzdgj", getC1ddygyzzdgj())
                .append("c1ddlqdgj", getC1ddlqdgj())
                .append("c1ddlzdgj", getC1ddlzdgj())
                .append("c1ddlzzdgj", getC1ddlzzdgj())
                .append("c1dtqyqdgj", getC1dtqyqdgj())
                .append("c1dtqyzdgj", getC1dtqyzdgj())
                .append("c1dtqyzzdgj", getC1dtqyzzdgj())
                .append("c1dtgyqdgj", getC1dtgyqdgj())
                .append("c1dtgyzdgj", getC1dtgyzdgj())
                .append("c1dtgyzzdgj", getC1dtgyzzdgj())
                .append("c1dtqwqdgj", getC1dtqwqdgj())
                .append("c1dtqwzdgj", getC1dtqwzdgj())
                .append("c1dtqwzzdgj", getC1dtqwzzdgj())
                .append("c1dtgwqdgj", getC1dtgwqdgj())
                .append("c1dtgwzdgj", getC1dtgwzdgj())
                .append("c1dtgwzzdgj", getC1dtgwzzdgj())
                .append("c1socdqdgj", getC1socdqdgj())
                .append("c1socdzdgj", getC1socdzdgj())
                .append("c1socdzzdgj", getC1socdzzdgj())
                .append("c1socgqdgj", getC1socgqdgj())
                .append("c1socgzdgj", getC1socgzdgj())
                .append("c1socgzzdgj", getC1socgzzdgj())
                .append("c1sohdqdgj", getC1sohdqdgj())
                .append("c1sohdzdgj", getC1sohdzdgj())
                .append("c1sohdzzdgj", getC1sohdzzdgj())
                .append("c1dtycqdgj", getC1dtycqdgj())
                .append("c1dtyczdgj", getC1dtyczdgj())
                .append("c1dtyczzdgj", getC1dtyczzdgj())
                .append("c1dtwcqdgj", getC1dtwcqdgj())
                .append("c1dtwczdgj", getC1dtwczdgj())
                .append("c1dtwczzdgj", getC1dtwczzdgj())
                .append("c1ck1txsl", getC1ck1txsl())
                .append("c1ck2txsl", getC1ck2txsl())
                .append("c1ck3txsl", getC1ck3txsl())
                .append("c1ck4txsl", getC1ck4txsl())
                .append("c1ck5txsl", getC1ck5txsl())
                .append("c1ck6txsl", getC1ck6txsl())
                .append("c1ck7txsl", getC1ck7txsl())
                .append("c1ck8txsl", getC1ck8txsl())
                .append("c1ck9txsl", getC1ck9txsl())
                .append("c1ck10txsl", getC1ck10txsl())
                .append("c1ck11txsl", getC1ck11txsl())
                .append("c1ck12txsl", getC1ck12txsl())
                .append("c1ck13txsl", getC1ck13txsl())
                .append("c1ck14txsl", getC1ck14txsl())
                .append("c1ck15txsl", getC1ck15txsl())
                .append("c1ck16txsl", getC1ck16txsl())
                .append("c1ck17txsl", getC1ck17txsl())
                .append("c1ck18txsl", getC1ck18txsl())
                .append("c1ck19txsl", getC1ck19txsl())
                .append("c1ck20txsl", getC1ck20txsl())
                .append("c1ck21txsl", getC1ck21txsl())
                .append("c1ck22txsl", getC1ck22txsl())
                .append("c1ck23txsl", getC1ck23txsl())
                .append("c1ck24txsl", getC1ck24txsl())
                .append("c1ck25txsl", getC1ck25txsl())
                .append("c1ck26txsl", getC1ck26txsl())
                .append("c1ck27txsl", getC1ck27txsl())
                .append("c1ck28txsl", getC1ck28txsl())
                .append("c1ck29txsl", getC1ck29txsl())
                .append("c1ck30txsl", getC1ck30txsl())
                .append("c1ck31txsl", getC1ck31txsl())
                .append("c1ck32txsl", getC1ck32txsl())
                .append("c1ck33txsl", getC1ck33txsl())
                .append("c1ck34txsl", getC1ck34txsl())
                .append("c1ck35txsl", getC1ck35txsl())
                .append("c1ck36txsl", getC1ck36txsl())
                .append("c1ck37txsl", getC1ck37txsl())
                .append("c1ck38txsl", getC1ck38txsl())
                .append("c1ck39txsl", getC1ck39txsl())
                .append("c1ck40txsl", getC1ck40txsl())
                .append("c1dzwdggqdgj", getC1dzwdggqdgj())
                .append("c1dzwdggzdgj", getC1dzwdggzdgj())
                .append("c1dzwdggzzdgj", getC1dzwdggzzdgj())
                .append("c1mkdyggqdgj", getC1mkdyggqdgj())
                .append("c1mkdyggzdgj", getC1mkdyggzdgj())
                .append("c1mkdyggzzdgj", getC1mkdyggzzdgj())
                .append("c1mkdygdqdgj", getC1mkdygdqdgj())
                .append("c1mkdygdzdgj", getC1mkdygdzdgj())
                .append("c1mkdygdzzdgj", getC1mkdygdzzdgj())
                .append("c1dycjgz", getC1dycjgz())
                .append("c1wdcjgz", getC1wdcjgz())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
